# $Revision: 1.36 $, $Date: 2008/07/27 22:47:07 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Search
%define		pnam	Binary
Summary:	Search::Binary Perl module
Summary(cs.UTF-8):	Modul Search::Binary pro Perl
Summary(da.UTF-8):	Perlmodul Search::Binary
Summary(de.UTF-8):	Search::Binary Perl Modul
Summary(es.UTF-8):	Módulo de Perl Search::Binary
Summary(fr.UTF-8):	Module Perl Search::Binary
Summary(it.UTF-8):	Modulo di Perl Search::Binary
Summary(ja.UTF-8):	Search::Binary Perl モジュール
Summary(ko.UTF-8):	Search::Binary 펄 모줄
Summary(nb.UTF-8):	Perlmodul Search::Binary
Summary(pl.UTF-8):	Moduł Perla Search::Binary
Summary(pt.UTF-8):	Módulo de Perl Search::Binary
Summary(pt_BR.UTF-8):	Módulo Perl Search::Binary
Summary(ru.UTF-8):	Модуль для Perl Search::Binary
Summary(sv.UTF-8):	Search::Binary Perlmodul
Summary(uk.UTF-8):	Модуль для Perl Search::Binary
Summary(zh_CN.UTF-8):	Search::Binary Perl 模块
Name:		perl-Search-Binary
Version:	0.95
Release:	12
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	b75a99c0dedd05cb455686fc547cc78f
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Search::Binary - generic binary search.

%description -l pl.UTF-8
Search::Binary - podstawowe wyszukiwanie binarne.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorlib}/Search
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Search-Binary.spec,v $
Revision 1.36  2008/07/27 22:47:07  arekm
- release 12

Revision 1.35  2007-02-13 07:47:14  glen
- tabs in preamble

Revision 1.34  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.33  2004/11/03 22:30:43  paladine
- formatting

Revision 1.32  2004/06/05 18:10:47  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.31  2004/05/07 01:01:03  ankry
- rel. 11

Revision 1.30  2004/05/06 18:21:01  ankry
- fixed perl-devel BR

Revision 1.29  2004/05/02 08:31:33  ankry
- license fixed, cosmetics

Revision 1.28  2004/02/18 16:27:02  qboosh
- s/no/nb/ in Summary langs

Revision 1.27  2003/09/09 10:24:47  ankry
- spaces -> tab

Revision 1.26  2003/08/18 08:09:11  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.25  2003/05/28 13:01:00  malekith
- massive attack: source-md5

Revision 1.24  2003/05/25 06:24:58  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.23  2003/04/11 18:59:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.22  2003/03/01 20:46:10  radek
- should be ready for perl-5.8.0; release++

Revision 1.21  2003/02/25 00:41:47  radek
- use the __perl macro

Revision 1.20  2003/02/18 15:38:05  ankry
- massive attack: change CPAN URLs

Revision 1.19  2002/07/18 13:47:04  ankry
- translations, cleaning
- new %%doc
- added %%{perl_sitelib}/Search
- release 9

Revision 1.18  2002/07/10 08:48:35  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.17  2002/05/11 14:28:12  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.16  2002/02/25 10:34:05  depesz
cleanup; revision++

Revision 1.15  2002/02/22 23:29:32  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/13 14:19:53  depesz
automatic: Source location unified, Relase Up

Revision 1.13  2002/02/10 15:33:54  depesz
adapterized

Revision 1.12  2002/01/18 02:14:25  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/11/28 15:20:22  mis
- buildarch noarch; release++

Revision 1.10  2001/04/17 12:15:09  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:09  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2001/01/23 16:17:54  kloczek
- release 4: rebuild against perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:54:57  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:41  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/21 20:20:01  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:58  baggins
- translated kloczkish into english

Revision 1.2  1999/11/07 09:18:46  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:46  pius
- initial release
